MediaWiki:Common.css

De La Voûte - Strainopedia
Version datée du 26 août 2025 à 00:35 par LeProletaire (discussion | contributions) (Created page with "CSS placed here wi/* Le CSS placé ici sera appliqué à tous les habillages. : Infoboxes : .infobox { border: 1px solid #a2a9b1; color: black; padding: 0.2em; font-size: 88%; line-height: 1.5em; border-spacing: 3px; } @media screen { .infobox { background-color: #f8f9fa; } } @media (max-width: 640px) { .infobox { width: 100%; } .infobox .nowrap { white-space: normal; } } @media (min-width: 640px) { .infobox { @noflip : margi...")
(diff) ← Version précédente | Voir la version actuelle (diff) | Version suivante → (diff)

Note : après avoir publié vos modifications, il se peut que vous deviez forcer le rechargement complet du cache de votre navigateur pour voir les changements.

  • Firefox / Safari : maintenez la touche Maj (Shift) en cliquant sur le bouton Actualiser ou appuyez sur Ctrl + F5 ou Ctrl + R (⌘ + R sur un Mac).
  • Google Chrome : appuyez sur Ctrl + Maj + R (⌘ + Shift + R sur un Mac).
  •  Edge : maintenez la touche Ctrl en cliquant sur le bouton Actualiser ou pressez Ctrl + F5.
/* CSS placed here wi/* Le CSS placé ici sera appliqué à tous les habillages. */
/* Infoboxes */
.infobox {
	border: 1px solid #a2a9b1;
	color: black;
	padding: 0.2em;
	font-size: 88%;
	line-height: 1.5em;
	border-spacing: 3px;
}

@media screen {
	.infobox {
		background-color: #f8f9fa;
    }
}

@media (max-width: 640px) {
	.infobox {
		width: 100%;
	}
    
	.infobox .nowrap {
		white-space: normal;
	}
}

@media (min-width: 640px) {
	.infobox {
		/* @noflip */
		margin: 0.5em 0 0.5em 1em;
		/* @noflip */
		float: right;
		/* @noflip */
		clear: right;
		width: 22em;
	}
}

.infobox-header,
.infobox-label,
.infobox-above,
.infobox-full-data,
.infobox-data,
.infobox-below,
.infobox-subheader,
.infobox-image,
.infobox-navbar,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox td {
	vertical-align: top;
}

.infobox-label,
.infobox-data,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox td {
	/* @noflip */
	text-align: left;
}

/* Remove .infobox when element selectors above are removed */
.infobox .infobox-above,
.infobox .infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
	font-size: 125%;
	font-weight: bold;
	text-align: center;
}

.infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
	padding: 0.2em;
}

/* Remove .infobox when element selectors above are removed */
.infobox .infobox-header,
.infobox .infobox-subheader,
.infobox .infobox-image,
.infobox .infobox-full-data,
.infobox .infobox-below {
	text-align: center;
}

/* Remove .infobox when element selectors above are removed */
.infobox .infobox-navbar {
	/* @noflip */
	text-align: right;
}


/* Types de boites */
.bandeau-article,
.bandeau-discussion,
.bandeau-simple,
.bandeau-systeme,
.bandeau-section {
	border-style: solid;
	overflow: hidden;
	position: relative;
}
.bandeau-article {
	border-width: 1px 1px 1px 10px;
	font-size: 0.9em;
	line-height: 1.25em;
	padding: 0.5em 1em;
	margin: 0.8em 10%;
}
.bandeau-systeme {
	clear: both;
	border-width: 2px;
	padding: 0.5em 1em;
	margin: 0.8em 3%;
}
.bandeau-simple {
	clear: both;
	border-width: 1px;
	padding: 0.5em 1em;
	margin: 0.8em auto;
}
.bandeau-discussion {
	border-width: 1px;
	border-radius: 10px;
	padding: 0.2em 0.5em;
	margin: 0.8em 7%;
}
@media (max-width: 981px) {
	.bandeau-discussion {
		margin: 0.8em 4%;
	}
}
div.bandeau-section { /* Pour le [[modèle: Article détaillé]] et autres */
	display: block;
	font-size: 0.95em;
	border-width: 1px 0;
	padding: 0.2em 0.5em 0.3em 0;
	margin: 0.3em 0 0.7em 2em;
}
.bandeau-centrer {
	display: table;
	width: 100%;
	text-align: center;
}
.bandeau-cell {
	display: table-cell;
	vertical-align: middle;
}
.bandeau-cell > p:first-child {
	margin-top: 0;
}
.bandeau-cell > p:last-child {
	margin-bottom: 0;
}

/* Style des bandeaux d'articles. Voir [[Wikipédia:Prise de décision/Changement de style des messages d'avertissement]]. */
.bandeau-niveau-grave {
	border-color: #aa0044;
	background-color: #ffcccc;
}
.bandeau-niveau-modere {
	border-color: #ff8822;
	background-color: #ffeedd;
}
.bandeau-niveau-ebauche,
.bandeau-niveau-information {
	border-color: #77ccff;
	background-color: #fbfbfb;
}
.bandeau-simple.bandeau-niveau-information,
.bandeau-discussion.bandeau-niveau-information { /* Dérive de la classe vectorbox */
	border-color: #a7d7f9;
	background-color: #f5faff;
}
.bandeau-niveau-detail, /* Voir [[Wikipédia:Prise de décision/Unification des modèles : article détaillé et Loupe]] */
.bandeau-section.bandeau-niveau-information {
	border-color: #e7e7e7;
	background-color: #fdfdfd;
}
.bandeau-niveau-neutre {
	border-color: var(--border-color-base, #a2a9b1);
	background: var(--couleur-fond-boite-grise, #f9f9f9);
}

@media screen {
	html.skin-theme-clientpref-night .bandeau-niveau-grave {
		background-color: #421211;
	}
	html.skin-theme-clientpref-night .bandeau-niveau-modere {
		background-color: #301d00;
	}
	html.skin-theme-clientpref-night .bandeau-niveau-ebauche,
	html.skin-theme-clientpref-night .bandeau-niveau-information,
	html.skin-theme-clientpref-night .bandeau-simple.bandeau-niveau-information,
	html.skin-theme-clientpref-night .bandeau-discussion.bandeau-niveau-information,
	html.skin-theme-clientpref-night .bandeau-niveau-detail
	html.skin-theme-clientpref-night .bandeau-section.bandeau-niveau-information {
		background-color: #202122;
	}
	html.skin-theme-clientpref-night .bandeau-section.bandeau-niveau-information {
		border-color: #54595d;
	}
}
@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .bandeau-niveau-grave {
		background-color: #421211;
	}
	html.skin-theme-clientpref-os .bandeau-niveau-modere {
		background-color: #301d00;
	}
	html.skin-theme-clientpref-os .bandeau-niveau-ebauche,
	html.skin-theme-clientpref-os .bandeau-niveau-information,
	html.skin-theme-clientpref-os .bandeau-simple.bandeau-niveau-information,
	html.skin-theme-clientpref-os .bandeau-discussion.bandeau-niveau-information,
	html.skin-theme-clientpref-os .bandeau-niveau-detail
	html.skin-theme-clientpref-os .bandeau-section.bandeau-niveau-information {
		background-color: #202122;
	}
	html.skin-theme-clientpref-os .bandeau-section.bandeau-niveau-information {
		border-color: #54595d;
	}
}

.bandeau-icone {
	vertical-align: middle;
	text-align: center;
	width: 45px;
	/* @noflip */
	padding-right: 1em;
}
body.skin--responsive .mw-parser-output .bandeau-icone a > img, 
body.skin--responsive .mw-parser-output .bandeau-icone noscript > img {
    max-width: initial !important;
}
:is(.homonymie, .bandeau-section) .bandeau-icone {
	width: auto;
	/* @noflip */
	padding-right: 0.5em;
}
.bandeau-titre {
	font-size: 1.1em;
	line-height: 1.4em;
}
.bandeau-texte {
	font-size: 0.9em;
	line-height: 1.2em;
}
ll be applied to all skins */